number.float.length.error={0} length is invalid. Total length must not exceed {1} digits, and decimal places must not exceed {2} digits
number.greaterThanZero={0} must be greater than 0
page.pageNo.min=Page number must be at least 1
page.pageNo.notNull=Page number cannot be empty
page.pageSize.max=Page size cannot exceed 100
page.pageSize.min=Page size must be at least -1
page.pageSize.notNull=Page size cannot be empty

report.template.save.name.notBlank=Template name cannot be empty
report.template.save.name.length=Template name cannot exceed 30 characters
report.template.save.remark.size=Remark cannot exceed 64 characters
report.template.save.datasourceIds.size=Number of data sources cannot exceed 30
report.template.save.datasetIds.size=Number of datasets cannot exceed 30
report.template.page.name.size=Template name cannot exceed 64 characters
report.template.preview.content.notNull=Preview content cannot be empty
report.template.preview.query.size=Number of form parameters cannot exceed 30
report.template.preview.component.size=Number of form component identifiers cannot exceed 30
report.template.preview.chartImages.size=Number of chart images cannot exceed 30
report.template.preview.templateId.notNull=Template ID cannot be empty
report.template.preview.download.type.notBlank=Template download type cannot be empty
report.template.script.validate.content.notEmpty=Expression cannot be empty
report.template.import.name.notEmpty=Template name cannot be empty

report.datasource.save.name.notBlank=Data source name cannot be empty
report.datasource.save.name.length=Data source name cannot exceed 64 characters
report.datasource.save.beanId.length=Spring data source ID cannot exceed 64 characters
report.datasource.save.driver.length=Driver class name cannot exceed 64 characters
report.datasource.save.url.length=Data source URL cannot exceed 255 characters
report.datasource.save.username.length=Username cannot exceed 64 characters
report.datasource.save.password.length=Password cannot exceed 64 characters
report.datasource.save.remark.size=Remark cannot exceed 64 characters
report.datasource.save.headers.size=Number of request headers cannot exceed 30
report.datasource.spring.bean.field.clazz.notEmpty=Class full path cannot be empty
report.datasource.spring.bean.field.clazz.size=Class full path cannot exceed 100 characters
report.datasource.bean.methods.query.beanId.notEmpty=beanId cannot be empty
report.datasource.bean.methods.query.beanId.size=beanId cannot exceed 100 characters
report.datasource.conn.test.driverClassName.notBlank=Driver class name cannot be empty
report.datasource.conn.test.url.notBlank=Data source URL cannot be empty
report.datasource.conn.test.username.notBlank=Username cannot be empty
report.datasource.conn.test.password.notBlank=Password cannot be empty
report.datasource.preview.conn.test.info.notNull=Connection information cannot be empty
report.datasource.preview.sql.notBlank=Query SQL cannot be empty
report.datasource.preview.parameters.size=Number of query parameters cannot exceed 30
report.datasource.preview.datasourceId.notNull=Data source ID cannot be empty
report.datasource.query.param.name.notBlank=Parameter name cannot be empty
report.datasource.query.param.type.notBlank=Parameter type cannot be empty

report.dataset.save.name.notBlank=Dataset name cannot be empty
report.dataset.save.name.length=Dataset name cannot exceed 64 characters
report.dataset.save.datasourceId.notNull=Data source ID cannot be empty
report.dataset.save.method.length=Bean method name cannot exceed 64 characters
report.dataset.save.parameters.size=Number of parameters cannot exceed 30
report.dataset.save.fields.size=Number of fields cannot exceed 100
report.dataset.save.fields.name.notBlank=Field name cannot be empty
report.dataset.save.param.name.notBlank=Parameter name cannot be empty
report.dataset.save.param.type.notBlank=Parameter type cannot be empty